Diamond Assets
Filter diamond assets by a list of diamond IDs.
Filter diamond assets by a list of asset types.
Filter diamond assets by hero status.
Filter diamond assets by a list of diamond stages.
Filter diamond assets by whether the stage is null or not.
Filter diamond assets by a list of galleries.
Filter diamond assets by whether the gallery is null or not.
Filter diamond assets created on or after this date.
Filter diamond assets created before this date.
Filter diamond assets updated on or after this date.
Filter diamond assets updated before this date.
1100Successful Response
The URL for the next page.
The number of the current page.
The total number of pages.
The URL of the previous page.
The total number of results across all pages.
Unauthorized: The request has not been applied because it lacks valid authentication credentials for the target resource.
Forbidden: The application does not have sufficient permissions for this operation.
Unprocessable Entity, request JSON body is not as per specification
Internal Server Error. If this error persists please contact the Platform Admin team.
GET /v2/diamond-asset/ HTTP/1.1
Host: api.<id>.tracr.network
Accept: */*
{
"next": "text",
"page": 1,
"pages": 1,
"previous": "text",
"results": [
{
"asset_type": "image",
"content_hash": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"extension": "avif",
"filename": "text",
"gallery": "rough",
"gallery_priority": 0,
"id": "e1mv3nn4n10kd1lw6mde6sums",
"image_type": "default",
"is_hero": false,
"label": "text",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"total": 1
}The Tracr ID for the diamond to which this asset belongs.
e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$Whether this asset is associated with the diamond when it was rough, or after it was polished. diamond_stage and gallery are completely decoupled. The user is free to choose any gallery, including future galleries that aren't yet shown, for which this diamond asset should appear, regardless of the value of diamond_stage. As an example, if a user uploads two scans, diamond_stage can be used to distinguish between a rough scan and a polished scan.
The image to be uploaded.
The gallery in which this asset will appear on the diamond details page in the Tracr Portal. On the Diamond Experience diamonds in the rough gallery will appear onthe Provenance page, diamonds in the split and polished galleries willappear on the Craftsmanship page. If no gallery is specified, the asset will not be displayed, but it will still be transferred with the diamond.
Determines the position of the asset in the specified gallery relative to the other assets in the gallery. Assets with a higher gallery priority will appear before assets with a lower gallery priority. Assets with an equal gallery priority will appear subject to the lexicographical order of their id.
0Image type of image.
defaultPossible values: Whether this asset will appear as the diamond's hero asset. Hero assets appear at the top of the diamond details within the Tracr portal and on the Your Diamond page of the Diamond Experience. Hero assets can also appear in the gallery if one is specified. The position of a hero asset within the gallery is subject to subject to the configured gallery priority.
falseSuccessful Response
Unauthorized: The request has not been applied because it lacks valid authentication credentials for the target resource.
Forbidden: The application does not have sufficient permissions for this operation.
Unprocessable Entity, request JSON body is not as per specification
Internal Server Error. If this error persists please contact the Platform Admin team.
POST /v2/diamond-asset/image HTTP/1.1
Host: api.<id>.tracr.network
Content-Type: multipart/form-data
Accept: */*
Content-Length: 178
{
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"file": "binary",
"gallery": "rough",
"gallery_priority": 0,
"image_type": "default",
"is_hero": false,
"label": "text"
}{
"asset_type": "image",
"content_hash": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"extension": "avif",
"filename": "text",
"gallery": "rough",
"gallery_priority": 0,
"id": "e1mv3nn4n10kd1lw6mde6sums",
"image_type": "default",
"is_hero": false,
"label": "text",
"updated_at": "2026-01-01T00:00:00.000Z"
}The Tracr ID for the diamond to which this asset belongs.
e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$Whether this asset is associated with the diamond when it was rough, or after it was polished. diamond_stage and gallery are completely decoupled. The user is free to choose any gallery, including future galleries that aren't yet shown, for which this diamond asset should appear, regardless of the value of diamond_stage. As an example, if a user uploads two scans, diamond_stage can be used to distinguish between a rough scan and a polished scan.
The scan to be uploaded.
The gallery in which this asset will appear on the diamond details page in the Tracr Portal. On the Diamond Experience diamonds in the rough gallery will appear onthe Provenance page, diamonds in the split and polished galleries willappear on the Craftsmanship page. If no gallery is specified, the asset will not be displayed, but it will still be transferred with the diamond.
Determines the position of the asset in the specified gallery relative to the other assets in the gallery. Assets with a higher gallery priority will appear before assets with a lower gallery priority. Assets with an equal gallery priority will appear subject to the lexicographical order of their id.
0Whether this asset will appear as the diamond's hero asset. Hero assets appear at the top of the diamond details within the Tracr portal and on the Your Diamond page of the Diamond Experience. Hero assets can also appear in the gallery if one is specified. The position of a hero asset within the gallery is subject to subject to the configured gallery priority.
falseThe manufacturer of the scanner used to produce this scan.
The model of the scanner used to produce this scan.
Successful Response
Unauthorized: The request has not been applied because it lacks valid authentication credentials for the target resource.
Forbidden: The application does not have sufficient permissions for this operation.
Unprocessable Entity, request JSON body is not as per specification
Internal Server Error. If this error persists please contact the Platform Admin team.
POST /v2/diamond-asset/scan HTTP/1.1
Host: api.<id>.tracr.network
Content-Type: multipart/form-data
Accept: */*
Content-Length: 216
{
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"file": "binary",
"gallery": "rough",
"gallery_priority": 0,
"is_hero": false,
"label": "text",
"scan_device_manufacturer": "text",
"scan_device_model": "text"
}{
"asset_type": "image",
"content_hash": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"extension": "avif",
"filename": "text",
"gallery": "rough",
"gallery_priority": 0,
"id": "e1mv3nn4n10kd1lw6mde6sums",
"image_type": "default",
"is_hero": false,
"label": "text",
"updated_at": "2026-01-01T00:00:00.000Z"
}The Tracr ID for the diamond to which this asset belongs.
e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$Whether this asset is associated with the diamond when it was rough, or after it was polished. diamond_stage and gallery are completely decoupled. The user is free to choose any gallery, including future galleries that aren't yet shown, for which this diamond asset should appear, regardless of the value of diamond_stage. As an example, if a user uploads two scans, diamond_stage can be used to distinguish between a rough scan and a polished scan.
The scan report to be uploaded.
The gallery in which this asset will appear on the diamond details page in the Tracr Portal. On the Diamond Experience diamonds in the rough gallery will appear onthe Provenance page, diamonds in the split and polished galleries willappear on the Craftsmanship page. If no gallery is specified, the asset will not be displayed, but it will still be transferred with the diamond.
Determines the position of the asset in the specified gallery relative to the other assets in the gallery. Assets with a higher gallery priority will appear before assets with a lower gallery priority. Assets with an equal gallery priority will appear subject to the lexicographical order of their id.
0Whether this asset will appear as the diamond's hero asset. Hero assets appear at the top of the diamond details within the Tracr portal and on the Your Diamond page of the Diamond Experience. Hero assets can also appear in the gallery if one is specified. The position of a hero asset within the gallery is subject to subject to the configured gallery priority.
falseThe manufacturer of the scanner used to produce this scan report.
The model of the scanner used to produce this scan report.
The name of the software running on the scanner used to produce this scan report.
The version of the software running on the scanner used to produce this scan report.
Successful Response
Unauthorized: The request has not been applied because it lacks valid authentication credentials for the target resource.
Forbidden: The application does not have sufficient permissions for this operation.
Unprocessable Entity, request JSON body is not as per specification
Internal Server Error. If this error persists please contact the Platform Admin team.
POST /v2/diamond-asset/scan-report HTTP/1.1
Host: api.<id>.tracr.network
Content-Type: multipart/form-data
Accept: */*
Content-Length: 275
{
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"file": "binary",
"gallery": "rough",
"gallery_priority": 0,
"is_hero": false,
"label": "text",
"scan_device_manufacturer": "text",
"scan_device_model": "text",
"scan_software_name": "text",
"scan_software_version": "text"
}{
"asset_type": "image",
"content_hash": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"extension": "avif",
"filename": "text",
"gallery": "rough",
"gallery_priority": 0,
"id": "e1mv3nn4n10kd1lw6mde6sums",
"image_type": "default",
"is_hero": false,
"label": "text",
"updated_at": "2026-01-01T00:00:00.000Z"
}The Tracr ID for the diamond to which this asset belongs.
e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$Whether this asset is associated with the diamond when it was rough, or after it was polished. diamond_stage and gallery are completely decoupled. The user is free to choose any gallery, including future galleries that aren't yet shown, for which this diamond asset should appear, regardless of the value of diamond_stage. As an example, if a user uploads two scans, diamond_stage can be used to distinguish between a rough scan and a polished scan.
The video to be uploaded.
The gallery in which this asset will appear on the diamond details page in the Tracr Portal. On the Diamond Experience diamonds in the rough gallery will appear onthe Provenance page, diamonds in the split and polished galleries willappear on the Craftsmanship page. If no gallery is specified, the asset will not be displayed, but it will still be transferred with the diamond.
Determines the position of the asset in the specified gallery relative to the other assets in the gallery. Assets with a higher gallery priority will appear before assets with a lower gallery priority. Assets with an equal gallery priority will appear subject to the lexicographical order of their id.
0Whether this asset will appear as the diamond's hero asset. Hero assets appear at the top of the diamond details within the Tracr portal and on the Your Diamond page of the Diamond Experience. Hero assets can also appear in the gallery if one is specified. The position of a hero asset within the gallery is subject to subject to the configured gallery priority.
falseSuccessful Response
Unauthorized: The request has not been applied because it lacks valid authentication credentials for the target resource.
Forbidden: The application does not have sufficient permissions for this operation.
Unprocessable Entity, request JSON body is not as per specification
Internal Server Error. If this error persists please contact the Platform Admin team.
POST /v2/diamond-asset/video HTTP/1.1
Host: api.<id>.tracr.network
Content-Type: multipart/form-data
Accept: */*
Content-Length: 155
{
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"file": "binary",
"gallery": "rough",
"gallery_priority": 0,
"is_hero": false,
"label": "text"
}{
"asset_type": "image",
"content_hash": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"extension": "avif",
"filename": "text",
"gallery": "rough",
"gallery_priority": 0,
"id": "e1mv3nn4n10kd1lw6mde6sums",
"image_type": "default",
"is_hero": false,
"label": "text",
"updated_at": "2026-01-01T00:00:00.000Z"
}Retrieve a single diamond asset by its ID.
e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$Successful Response
Unauthorized: The request has not been applied because it lacks valid authentication credentials for the target resource.
Forbidden: The application does not have sufficient permissions for this operation.
Unprocessable Entity, request JSON body is not as per specification
Internal Server Error. If this error persists please contact the Platform Admin team.
GET /v2/diamond-asset/{diamond_asset_id} HTTP/1.1
Host: api.<id>.tracr.network
Accept: */*
{
"asset_type": "image",
"content_hash": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"diamond_id": "e1mv3nn4n10kd1lw6mde6sums",
"diamond_stage": "polished",
"extension": "avif",
"filename": "text",
"gallery": "rough",
"gallery_priority": 0,
"id": "e1mv3nn4n10kd1lw6mde6sums",
"image_type": "default",
"is_hero": false,
"label": "text",
"updated_at": "2026-01-01T00:00:00.000Z"
}Last updated